.\"     $NetBSD: intro.4,v 1.18 2006/12/24 00:47:24 rumble Exp $
.\"
.\" Copyright (c) 2003 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 22, 2006
.Dt INTRO 4 sgimips
.Os
.Sh NAME
.Nm intro
.Nd introduction to sgimips special files and hardware support
.Sh DESCRIPTION
This section describes the special files, related driver functions,
and networking support available in the system.
In this part of the manual, the
.Tn SYNOPSIS
section of each configurable device gives a sample specification
for use in constructing a system description for the
.Xr config 1
program.
The
.Tn DIAGNOSTICS
section lists messages which may appear on the console
and/or in the system error log
.Pa /var/log/messages
due to errors in device operation; see
.Xr syslogd 8
for more information.
.Pp
This section contains both devices which may be configured into
the system and network related information.
The networking support is introduced in
.Xr netintro 4 .
.Sh DEVICE SUPPORT
This section describes the hardware supported by
.Nx Ns /sgimips .
Software support for these devices comes in two forms.
A hardware device may be supported with a character or block
.Em device driver ,
or it may be used within the networking subsystem and have a
.Em network interface driver .
Block and character devices are accessed through files in the file
system of a special type; see
.Xr mknod 8 .
Network interfaces are indirectly accessed through the interprocess
communication facilities provided by the system; see
.Xr socket 2 .
.Pp
A hardware device is identified to the system at configuration time
and the appropriate device or network interface driver is then
compiled into the system.
When the resultant system is booted, the autoconfiguration facilities
in the system probe for the device and, if found, enable the software
support for it.
If a device does not respond at autoconfiguration time it is not
accessible at any time afterwards.
To enable a device which did not autoconfigure, the system must be rebooted.
.Pp
The autoconfiguration system is described in
.Xr autoconf 4 .
A list of the supported devices is given below.
.Sh HARDWARE
The following systems are supported:
.Pp
.Bl -tag -width XXXXXXXXXXXXXXXXXXXXX -offset indent -compact
.It O2
IP32
.Pq Dq Moosehead
.It Indy/Challenge S
IP24
.Pq Dq Guinness
.It Indigo 2/Challenge M
IP22
.Pq Dq Fullhouse
.It Indigo R4k
IP20
.Pq Dq Blackjack
.It Indigo R3k
IP12
.Pq Dq Hollywood
.It Personal Iris 4D/3x
IP12
.Pq Dq Magnum
.El
.Sh LIST OF DEVICES
The devices listed below are supported in this incarnation of the
system.
Devices are indicated by their functional interface.
Not all supported devices are listed.
.Pp
.Bl -tag -width macepci -offset indent -compact
.It crime
found on the O2
.It dpclock
real-time clock
.It dsclock
real-time clock
.It gio
PCI-like bus
.It hpc
High performance Peripheral Controller
.It imc
Indigo R4k/Indy/Challenge S/Indigo2 bus arbiter
.It mace
found on the O2
.\" .It macepci
.It mec
O2 MAC110 ethernet
.It newport
entry framebuffer on Indy and Indigo2
.It pic
Personal Iris 4D/3x and Indigo R3k bus arbiter
.It sq
SEEQ 8003/80C03 ethernet
.It tl
Set Engineering GIO 100baseTX Fast Ethernet
.It tlp
Phobos G130/G160 10/100 GIO Fast Ethernet
.It wdsc
WD33C93 SCSI interface
.El
.Pp
PCI devices are supported through the
.Xr pci 4
bus and associated device drivers.
.Pp
.\" .Sh UNSUPPORTED DEVICES
.\" The following devices are not supported, due to unavailability of
.\" either documentation or sample hardware:
.\" .Pp
.\" .Bl -tag -width XXXXX -offset indent -compact
.\" .It not yet
.\" .El
.\" .Pp
.Sh SEE ALSO
.Xr config 1 ,
.Xr autoconf 4 ,
.Xr crime 4 ,
.Xr dpclock 4 ,
.Xr dsclock 4 ,
.Xr gio 4 ,
.Xr hpc 4 ,
.Xr imc 4 ,
.Xr mace 4 ,
.Xr mec 4 ,
.Xr newport 4 ,
.Xr pic 4 ,
.Xr sq 4 ,
.Xr tlp 4 ,
.Xr wdsc 4
.Sh HISTORY
This
.Tn sgimips
.Nm
appeared in
.Nx 2.0 .
